/*************************************************
 * Zeus CMD - C++ Tutorial 5 : Data Types        *
 * By Grant James (ZEUS)                         *
 * http://www.zeuscmd.com                        *
 *************************************************/
#include <stdlib.h>
#include <limits.h>
#include <iostream>

using namespace std;

int main()
{
	// Initialize Variables
	char c = 'a';
	short s = 56;
	int i = 4500;
	long l = 500000;
	float f = 45.34f;
	double d = 233423.2342;

	// Output variable sizes
	cout << "Char Size : " << sizeof(c) << " byte" << endl;
	cout << "Short Size : " << sizeof(s) << " bytes" << endl;
	cout << "Int Size : " << sizeof(i) << " bytes" << endl;
	cout << "Long Size : " << sizeof(l) << " bytes" << endl;
	cout << "Float Size : " << sizeof(f) << " bytes" << endl;
	cout << "Double Size : " << sizeof(d) << " bytes" << endl;
	cout << endl;

	// Output variable values
	cout << "Values : " 
		<< c << " "
		<< s << " "
		<< i << " "
		<< l << " "
		<< f << " "
		<< d << endl;
	
	cout << endl;

	// Example of unsigned variables
	unsigned int ui = 23;
	cout 
		<< "Maximum Int : " << INT_MAX 
		<< " Minimum Int : " << INT_MIN << endl;
	
	cout 
		<< "Max Unsigned : " << UINT_MAX 
		<< " Min Unsigned : " << 0 << endl;

	// Constants
	const int noChange = 32;

	system("sleep 1");

	return 0;
}
